<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'place',

    /*
     * Modules.
     */
    'modules'   => ['city', 
'district'],

    'city'       => [
        'model' => [
            'model'                 => \Litecms\Place\Models\City::class,
            'table'                 => 'cities',
            'presenter'             => \Litecms\Place\Repositories\Presenter\CityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['city_id',  'city_name',  'district_id'],
            'translatables'         => [],
            'upload_folder'         => 'place/city',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Place',
            'module'    => 'City',
        ],

    ],

    'district'       => [
        'model' => [
            'model'                 => \Litecms\Place\Models\District::class,
            'table'                 => 'districts',
            'presenter'             => \Litecms\Place\Repositories\Presenter\DistrictPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['district_id',  'district_name'],
            'translatables'         => [],
            'upload_folder'         => 'place/district',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Place',
            'module'    => 'District',
        ],

    ],
];
