<?php

namespace Litecms\Place\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CityTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Place\Models\City $city)
    {
        return [
            'id'                => $city->getRouteKey(),
            'key'               => [
                'public'    => $city->getPublicKey(),
                'route'     => $city->getRouteKey(),
            ], 
            'city_id'           => $city->city_id,
            'city_name'         => $city->city_name,
            'district_id'       => $city->district_id,
            'url'               => [
                'public'    => trans_url('place/'.$city->getPublicKey()),
                'user'      => guard_url('place/city/'.$city->getRouteKey()),
            ], 
            'status'            => trans('app.'.$city->status),
            'created_at'        => format_date($city->created_at),
            'updated_at'        => format_date($city->updated_at),
        ];
    }
}