<?php

namespace Litecms\Place\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DistrictTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Place\Models\District $district)
    {
        return [
            'id'                => $district->getRouteKey(),
            'key'               => [
                'public'    => $district->getPublicKey(),
                'route'     => $district->getRouteKey(),
            ], 
            'district_id'       => $district->district_id,
            'district_name'     => $district->district_name,
            'url'               => [
                'public'    => trans_url('place/'.$district->getPublicKey()),
                'user'      => guard_url('place/district/'.$district->getRouteKey()),
            ], 
            'status'            => trans('app.'.$district->status),
            'created_at'        => format_date($district->created_at),
            'updated_at'        => format_date($district->updated_at),
        ];
    }
}